![image](https://raw.githubusercontent.com/DHI/modelskill/main/images/logo/modelskill.svg)


# ModelSkill: Assess the skill of your MIKE model
![OS](https://img.shields.io/badge/OS-Windows%20%7C%20Linux-blue)
![Python version](https://img.shields.io/pypi/pyversions/modelskill.svg)
![PyPI version](https://badge.fury.io/py/modelskill.svg)

    
Compare results from MIKE simulations with observations.
[ModelSkill](https://github.com/DHI/modelskill) would like to be your
companion during the different phases of a MIKE modelling workflow.


**Useful links**:
[Terminology](user-guide/terminology.md) |
[Overview](user-guide/overview.md) |
[Plotting](user-guide/plotting.md) |
[Issues](https://github.com/DHI/modelskill/issues) |
[Discussion](https://github.com/DHI/modelskill/discussions)


<div class="grid cards" markdown>

-   :material-clock-fast:{ .lg .middle } __Set up in 5 minutes__

    ---

    Install **ModelSkill** with [`pip`](https://pypi.org/project/modelskill/) and get up
    and running in minutes

    [:octicons-arrow-right-24: Getting started](user-guide/getting-started.md)

-   :fontawesome-brands-python:{ .lg .middle } __It's just Python__

    ---

    Focus on your modelling and less on generate a validation report

    [:octicons-arrow-right-24: API Reference](api/index.md)

-   :fontawesome-solid-ruler:{ .lg .middle } __Made to measure__

    ---

    Choose between different skill metrics and customizable tables and charts

    [:octicons-arrow-right-24: Metrics](api/metrics.md)

-   :material-scale-balance:{ .lg .middle } __Open Source, MIT__

    ---

    ModelSkill is licensed under MIT and available on [GitHub](https://github.com/DHI/modelskill)

    [:octicons-arrow-right-24: License](license.md)

</div>
